%define	api	0.1
%define	major	0
%define	libname	%mklibname %{name} %{api} %{major}
%define	devname	%mklibname -d %{name}

Summary:	Fast and powerful library for computing 2D constrained Delaunay triangulations
Name:		poly2tri-c
Version:	0.1.0
%define	gitdate	20140215
Release:	%{?gitdate:0.%{gitdate}.}1
Group:		System/Libraries
License:	BSD 3-Clause License
Url:		http://code.google.com/p/poly2tri-c/

# git clone https://code.google.com/p/poly2tri-c/
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	pcre-devel
BuildRequires:	pkgconfig(glib-2.0)

%description
This is a C port of the poly2tri library - a fast and powerful library for
computing 2D constrained Delaunay triangulations. Instead of the standard C++
library (which included some utilities and template-based data structures),
this port depends on GLib for it's data structures and some of it's utilities.

%package -n     %{libname}
Summary:	%{summary}
Group:		System/Libraries

%description -n	%{libname}
This is a C port of the poly2tri library - a fast and powerful library for
computing 2D constrained Delaunay triangulations. Instead of the standard C++
library (which included some utilities and template-based data structures),
this port depends on GLib for it's data structures and some of it's utilities.

%package -n	%{devname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
This package contains the development files for %{name}.

%prep
%setup -q 

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%files
%doc COPYING README
%{_bindir}/p2tc

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{devname}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed May 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.1.0-0.20140215.1
+ Revision: 4f766a8
- Disable static lib:


